> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zivio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all EOI Responses, filter by query



## OpenAPI

````yaml get /eoi_responses
openapi: 3.0.0
info:
  title: API V3
  version: '3'
  description: >-
    Create your API key from the API Keys section of the Admin Dashboard to gain
    access to the API.
  contact:
    name: API Support
    email: support@zivio.com
servers:
  - url: https://api.zivio.net/api/v3
    description: Global API Router
  - url: https://api.eu.zivio.net/api/v3
    description: EU Data Region
  - url: https://api.uk.zivio.net/api/v3
    description: UK Data Region
  - url: https://api.us.zivio.net/api/v3
    description: US Data Region
security:
  - apiKey: []
    tenantId: []
paths:
  /eoi_responses:
    get:
      tags:
        - EOI Responses
      summary: Retrieve all EOI Responses, filter by query
      parameters:
        - name: created
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on created
            timestamp for object.
          schema:
            type: string
        - name: updated
          in: query
          description: >-
            Date range [YYYY-MM-DD+TO+YYYY-MM-DD] to search based on updated
            timestamp for object.
          schema:
            type: string
        - name: supplier_id
          in: query
          description: Filter objects by supplier id
          schema:
            type: integer
        - name: limit
          in: query
          description: Number of results returned per request
          schema:
            type: integer
        - name: page
          in: query
          description: Paginate results when number of results exceeds limit
          schema:
            type: integer
        - name: sort
          in: query
          description: >-
            Results are sorted by created desc as default.

            Ordering may be specified, available options are ['created',
            'updated'], which can be combined in a comma separated list,

            e.g. updated:desc,created:asc 
          schema:
            type: string
      responses:
        '200':
          description: ok
          content:
            '*/*':
              schema:
                type: object
                properties:
                  eoi_responses:
                    type: array
                    items:
                      properties:
                        id:
                          type: integer
                          example: '10'
                        proposal:
                          type: string
                          example: A proposal description
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        shortlisted_at:
                          type: string
                          format: date-time
                        rejected_at:
                          type: string
                          format: date-time
                        eoi:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '3'
                            title:
                              type: string
                              example: Example EOI
                            submission_deadline:
                              type: string
                              format: date-time
                            owner:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: '226'
                                first_name:
                                  type: string
                                  example: John
                                last_name:
                                  type: string
                                  example: Doe
                                email:
                                  type: string
                                  example: john.doe@example.com
                                vetting_status:
                                  type: string
                                  example: PASSED
                                created_at:
                                  type: string
                                  format: date-time
                                updated_at:
                                  type: string
                                  format: date-time
                        supplier:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: '86'
                            name:
                              type: string
                              example: Example Supplier Ltd
                            email:
                              type: string
                              format: example@supplier.com
                            vetting_status:
                              type: string
                              example: PASSED
                            tax_number:
                              type: string
                              example: '123456789'
                            created_at:
                              type: string
                              format: date-time
                            updated_at:
                              type: string
                              format: date-time
        '401':
          description: unauthorized
        '404':
          description: not found
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-Key
      in: header
    tenantId:
      type: apiKey
      name: zivio-tenant-id
      in: header

````